

#include <amxmodx>
#include <amxmisc>
#include <fakemeta>

#define PLUGIN "m0d_SlaYer_Kreedz_Soundblocker"
#define VERSION "V0.1"
#define AUTHOR "SlaYer"

/*                        
*************************************************************************************
**                 .: m0d_SlaYer_Kreedz_Soundblocker _V0.1 :.			   **
** 								        	   **
** Description:									   **
** This plugin controls the usual sounds on a Kreedz Server.			   **
** There are several annoying sounds which you are able to block with this plugin. **
** The sound you'd like to block can be set due to CVArs.			   **
**										   **
** Available sounds to block:							   **
**										   **
** - Healthbox Sound			                                           **
** - Sound after falling down and taking damage      			           ** 
** - Choking in water 		                                             	   **
** - Radio sounds		                                         	   **
**		                                                        	   **
*************************************************************************************
**		                                                        	   **
** Authors: SlaYer	                                        		   **
**			                                                           **
** Contact: SlaYer on [ www.Kreedz4Fun.de ] [www.zabey.net]                        **
**                    [www.4al.ru]          [www.cs-slop.clan.su]                  **
**		                                                         	   **
*************************************************************************************
**		                                                        	   **
** Requirements:                  		                        	   **
** - amxmodx		                                                	   **
** - amxmisc 			                                                   **
** - fakemeta			                                                   **
** 			                                                           **
*************************************************************************************
**		                                                        	   **
** CVARS:									   **
** 										   **
** Information: The most kz maps require Painsound 0 for the Healthbox. 	   **
** ( It's the best to put Painsound & Healthboxsound to 0 ). 			   **                                       	           	   **
** - m0d_SlaYer_Painsound (default 1) <1 = SoundON | 0 = SoundOFF >		   **
** - m0d_SlaYer_Watersound (default 1) <1 = SoundON | 0 = SoundOFF >		   **
** - m0d_SlaYer_Healthboxsound (default 1) <1 = SoundON | 0 = SoundOFF >	   **
** - m0d_SlaYer_Radiosound (default 1) <1 = SoundON | 0 = SoundOFF >		   **
**			                                                           **
*************************************************************************************
**		                                                        	   **
** Testing here:		                                        	   **
** 			                                                           **
** Name: BhopServer[+hook +jetpack]		                           	   **
** IP: 85.131.222.83:27060		                                	   **
**			                                                           **
*************************************************************************************
*/

new Painsound
new Watersound
new Healthboxsound
new Radiosound


public plugin_init() 
{
    register_plugin(PLUGIN, VERSION, AUTHOR)
    register_forward(FM_EmitSound, "EmitSound");
    Painsound = register_cvar("Kreedz_Painsound","1")
    Watersound = register_cvar("Kreedz_Watersound","1")
    Healthboxsound = register_cvar("Kreedz_Healthboxsound","1")
    Radiosound = register_cvar("Kreedz_Radiosound","1")
	
    register_clcmd( "radio1","soundblock")
    register_clcmd( "radio2","soundblock")
    register_clcmd( "radio3","soundblock")
    register_clcmd( "coverme","soundblock")
    register_clcmd( "takepoint","soundblock")
    register_clcmd( "holdpos","soundblock")
    register_clcmd( "regroup","soundblock")
    register_clcmd( "followme","soundblock")
    register_clcmd( "takingfire","soundblock")
    register_clcmd( "go","soundblock")
    register_clcmd( "fallback","soundblock")
    register_clcmd( "sticktog","soundblock")
    register_clcmd( "getinpos","soundblock")
    register_clcmd( "stormfront","soundblock")
    register_clcmd( "report","soundblock")
    register_clcmd( "roger","soundblock")
    register_clcmd( "enemyspot","soundblock")
    register_clcmd( "needbackup","soundblock")
    register_clcmd( "sectorclear","soundblock")
    register_clcmd( "inposition","soundblock")
    register_clcmd( "reportingin","soundblock")
    register_clcmd( "getout","soundblock")
    register_clcmd( "negative","soundblock")
    register_clcmd( "enemydown","soundblock")
}

/* CopyRight by SlaYer     */                  


public EmitSound(entity, channel, const sound[])
{
	if(pev_valid(entity))
	{
		if(get_pcvar_num(Painsound) == 0) 
		{
			if(contain(sound, "player/pl_pain2.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/pl_pain3.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/pl_pain4.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/pl_pain5.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/pl_pain6.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/pl_pain7.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/bhit_kevlar-1.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/bhit_flesh-1.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/bhit_flesh-2.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "player/bhit_flesh-3.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
		}
		if(get_pcvar_num(Watersound) == 0) 
		{
			if(contain(sound, "player/pl_swim1.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
	
			if(contain(sound, "player/pl_swim2.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
	
			if(contain(sound, "player/pl_swim3.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
	
			if(contain(sound, "player/pl_swim4.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}

			if(contain(sound, "player/waterrun.wav")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
		}

		if(get_pcvar_num(Healthboxsound) == 0) 
		{
			if(contain(sound, "doors/doorstop1")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "doors/doorstop2")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
			if(contain(sound, "doors/doorstop3")!=-1)
			{
				return FMRES_SUPERCEDE;
			}
		}
		



	}
	return FMRES_IGNORED;
}

public soundblock(id)
{
	if(get_pcvar_num(Radiosound) == 0) 
	{

		return PLUGIN_HANDLED	
		
	}
	return PLUGIN_CONTINUE;

}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1031\\ f0\\ fs16 \n\\ par }
*/
